Package com.sas.services.user

# Interface GlobalProfileInterface

All Superinterfaces:
  `ProfileInterface`, `Remote`

public interface GlobalProfileInterface extends ProfileInterface
Global profile.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface com.sas.services.user.ProfileInterface

  `NO_BACK_END_MSG_KEY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMail(String address)`
  Add a mail address to the list of addresses for the user.
  `GroupProfileInterface`
  `getGroupProfile(String group)`
  Deprecated.
  Group profile functionality is no longer supported.
  `List`
  `getGroupProfiles()`
  Deprecated.
  Group profile functionality is no longer supported.
  `Locale`
  `getLocale()`
  Get the default locale for this profile.
  `List`
  `getMail()`
  Get a list of valid email addresses for the user.
  `String`
  `getName()`
  Get the user's name from the profile.
  `PersonalRepositoryInterface`
  `getPersonalRepository()`
  Get a handle to the Personal Repository for the user.
  `void`
  `removeMail(String address)`
  Remove an address from the list of email addresses for the user.
  `void`
  `setLocale(Locale locale)`
  Set the default locale for this user.
  `void`
  `setMail(String address)`
  Set a user's email address to a single string value.
  `void`
  `setName(String name)`
  Set the user's name via the profile.

  ### Methods inherited from interface com.sas.services.user.ProfileInterface

  `addAttribute, addProfile, create, createSubprofile, deleteProfile, destroy, getAllAttributes, getApplication, getAttribute, getAttributes, getLocale, getParentProfile, getPathFromRoot, getProfile, getProfile, getRootProfile, getUserContext, isLoaded, keySet, load, persist, refresh, removeAttribute, removeProfile, setAttribute, setLoadParameters, setLocale, setParentProfile, setRefreshCycle, values`

- ## Method Details

  - ### getGroupProfile

    GroupProfileInterface getGroupProfile(String group) throws RemoteException
    Deprecated.
    Group profile functionality is no longer supported.
    Get the profile for a specific group.

    Parameters:
      `group` - The name of the group to get the profile for.
    Returns:
      The GroupProfileInterface for the group profile, or null if no profile exists for that group.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getGroupProfiles

    List getGroupProfiles() throws RemoteException
    Deprecated.
    Group profile functionality is no longer supported.
    Get all of the group profiles.

    Returns:
      A List of GroupProfileInterface objects for all the group profiles.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getName

    String getName() throws RemoteException
    Get the user's name from the profile.

    Returns:
      The user's name.
    Throws:
      `RemoteException` - In the event of remote object failure.

  - ### setName

    void setName(String name) throws RemoteException
    Set the user's name via the profile.

    Parameters:
      `name` - The user's name.
    Throws:
      `RemoteException` - in the event of remote object failure.

  - ### getMail

    List getMail() throws ServiceException, RemoteException
    Get a list of valid email addresses for the user.

    Returns:
      A List of String objects representing mail addresses.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### setMail

    void setMail(String address) throws ServiceException, RemoteException
    Set a user's email address to a single string value. All other values will be removed.

    Parameters:
      `address` - The address to set as the only email address for the user.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### addMail

    void addMail(String address) throws ServiceException, RemoteException
    Add a mail address to the list of addresses for the user.

    Parameters:
      `address` - A new address to add to the list of email addresses for the user.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### removeMail

    void removeMail(String address) throws ServiceException, RemoteException
    Remove an address from the list of email addresses for the user.

    Parameters:
      `address` - The address to remove from the list of emails for the user.
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - in the event of remote object failure.

  - ### getLocale

    Locale getLocale() throws ServiceException, RemoteException
    Get the default locale for this profile. Look first in the "SAS" application profile for ("Locale.DefaultLocale").
    Returns:
      The default locale, if found. Null otherwise.
    Throws:
      `ServiceException` - If a repository or service error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setLocale

    void setLocale(Locale locale) throws ServiceException, RemoteException
    Set the default locale for this user.
    Parameters:
      `locale` - The default locale preference for the user.
    Throws:
      `ServiceException` - If a repository or service error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getPersonalRepository

    PersonalRepositoryInterface getPersonalRepository() throws ServiceException, RemoteException
    Get a handle to the Personal Repository for the user.

    Returns:
      A handle to the Personal repository.
    Throws:
      `ServiceException` - if unable to get the personal repository.
      `RemoteException` - in the event of remote object failure.